//
//  BWFCallMicrophoneView.h
//  BWFCallCenterFramework
//
//  Copyright © 2019 Beowulf. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface BWFCallMicrophoneView : UIView

/*!
 @abstract Set image for microphone states on/off
 */
- (void)setImageForStateOn:(UIImage * _Nullable)img;
- (void)setImageForStateOff:(UIImage * _Nullable)img;

/*!
 @abstract Force microphone button to update state
 */
- (void)update;

@end

NS_ASSUME_NONNULL_END
