//
//  BWFCallCenterEnumDefine.h
//  BWFCallCenterFramework
//
//  Copyright © 2019 Beowulf. All rights reserved.
//

#ifndef BWFCallCenterEnumDefine_h
#define BWFCallCenterEnumDefine_h


enum bwfcallcenter_request_type {
    BWFCallCenterRequestTypeChat    = 1, //Chat
    BWFCallCenterRequestTypeVoice   = 2, //Voice
    BWFCallCenterRequestTypeVideo   = 3, //Video
};
typedef enum bwfcallcenter_request_type EnumBWFCallCenterRequestType;


enum bwfcallcenter_message_status {
    BWFCallCenterMessageStatusDelivered   = 1, //Sender
    BWFCallCenterMessageStatusSeen        = 2, //Sender receives Seen status from Receiver
    BWFCallCenterMessageStatusFailed      = 3, //Sender
};
typedef enum bwfcallcenter_message_status EnumBWFCallCenterMessageStatus;




#endif /* BWFCallCenterEnumDefine_h */
