//
//  BWFCallSpeakerView.h
//  BWFCallCenterFramework
//
//  Copyright © 2019 Beowulf. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface BWFCallSpeakerView : UIView

/*!
 @abstract Set image for speaker states on/off
 */
- (void)setImageForStateOn:(UIImage * _Nullable)img;
- (void)setImageForStateOff:(UIImage * _Nullable)img;

/*!
 @abstract Force speaker button to update state
 */
- (void)update;


@end

NS_ASSUME_NONNULL_END
