require 'json'

package = JSON.parse(File.read(File.join(__dir__, 'package.json')))

Pod::Spec.new do |s|
  s.name         = package['name']
  s.version      = package['version']
  s.summary      = package['description']
  s.license      = package['license']

  s.authors      = package['author']
  s.homepage     = package['homepage']
  s.platform     = :ios, "9.0"

  s.source       = { :git => "https://gitlab.com/JackHuynh/react-native-sdk.git", :tag => "v#{s.version}" }
  s.source_files  = "ios/ReactNativeSdk/*.{h,m}"
  s.static_framework = true
  s.vendored_frameworks = 'ios/ReactNativeSdk/BWFCallCenterFramework.framework'

  s.dependency 'React'
end